## org.eclipse.emf.exporter.ui
Class GenModelExportActionDelegate

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.emf.converter.ui.OpenWizardActionDelegate
              org.eclipse.emf.exporter.ui.GenModelExportActionDelegate

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IEditorActionDelegate

    public class GenModelExportActionDelegate

extends OpenWizardActionDelegate

Exports a GenModel file and the Ecore files behind it.

Since:
  2.2.0

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.OpenWizardActionDelegate
`file, fixedFile`

Constructor Summary
`GenModelExportActionDelegate()`

Method Summary
`protected IWizard` `createWizard(IWorkbench workbench, Shell shell, IFile file)`

Methods inherited from class org.eclipse.emf.converter.ui.OpenWizardActionDelegate
`dispose, run, run, selectionChanged, setActiveEditor`

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`init, runWithEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenModelExportActionDelegate

    public GenModelExportActionDelegate()

Method Detail

### createWizard

    protected IWizard createWizard(IWorkbench workbench,
                                   Shell shell,
                                   IFile file)

  Specified by:
    `createWizard` in class `OpenWizardActionDelegate`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.